using Microsoft.Extensions.Logging;
using TwilioSMSReceiver.Common.MessageHandlers;
using TwilioSMSReceiver.Data.Models;

namespace TwilioSMSReceiver.Common.Handlers
{
    public class SMTPHandler : BaseHandler
    {
        public SMTPHandler(IServiceProvider serviceProvider) : base(serviceProvider)
        {
        }

        public override Task<bool> RelaySms(SMSModel model)
        {
            _logger.LogWarning("SMTP isn't implemented yet");
            return Task.FromResult(false);
        }
    }
}
